﻿' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
''' 
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' Invoked when this page is about to be displayed in a Frame.
    ''' </summary>
    ''' <param name="e">Event data that describes how this page was reached.  The Parameter
    ''' property is typically used to configure the page.</param>
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)

        Dim InternodeData As New ColumnChartViewModel
        Dim yr As New DateTime(2002, 5, 1)
        InternodeData.InternodeUsage.Add(New InternodeUsage() With {.iDate = "02/12/2014", .iTotal = 0.45, .iUp = 0.1, .iDown = 4.5})
        InternodeData.InternodeUsage.Add(New InternodeUsage() With {.iDate = "02/13/2014", .iTotal = 5.35, .iUp = 0.2, .iDown = 1.5})
        'InternodeData.InternodeUsage.Add(New InternodeUsage() With {.iDate = "14/02/2014", .iTotal = 0.6, .iUp = 1.5, .iDown = 6})
        'InternodeData.InternodeUsage.Add(New InternodeUsage() With {.iDate = "15/02/2014", .iTotal = 1, .iUp = 1.7, .iDown = 1})
        'InternodeData.InternodeUsage.Add(New InternodeUsage() With {.iDate = "16/02/2014", .iTotal = 3.7, .iUp = 1, .iDown = 3.7})
        'InternodeData.InternodeUsage.Add(New InternodeUsage() With {.iDate = "17/02/2014", .iTotal = 9, .iUp = 2, .iDown = 9})
        'InternodeData.InternodeUsage.Add(New InternodeUsage() With {.iDate = "18/02/2014", .iTotal = 0.5, .iUp = 0.5, .iDown = 0.5})

        Me.BottomHistoryChart.Series(0).ItemsSource = Nothing
        Me.BottomHistoryChart.Series(0).ItemsSource = InternodeData.InternodeUsage
        Me.TopHistoryChart.Series(0).ItemsSource = Nothing
        Me.TopHistoryChart.Series(0).ItemsSource = InternodeData.InternodeUsage
    End Sub

End Class
